<?xml version="1.0"?>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:saxon="http://icl.com/saxon"
    extension-element-prefixes="saxon"
    xmlns:date="http://exslt.org/dates-and-times">

<xsl:param name="language"/>

<xsl:output method="text" encoding="UTF-16"/>

<!-- no output -->
<xsl:template match="text()|@*">
</xsl:template>

<xsl:template match="help">
    <xsl:if test="not($language)">
        <xsl:message terminate="yes">No language specified.</xsl:message>
    </xsl:if>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template name="translated">
    <xsl:for-each select="following-sibling::*[name()=$language]|preceding-sibling::*[name()=$language]|self::*[name()=$language]">
        <xsl:value-of select="."/>
    </xsl:for-each>
</xsl:template>

<xsl:template match="en">
/* en -> <xsl:value-of select="$language"/> */
"<xsl:value-of select="."/>" = "<xsl:call-template name="translated"/>";
</xsl:template>

</xsl:stylesheet>
